texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

branch master updated: * tp/tests/run_parser_all.sh: reindent a function


From: Patrice Dumas
Subject: branch master updated: * tp/tests/run_parser_all.sh: reindent a function.
Date: Mon, 06 Feb 2023 16:39:28 -0500

This is an automated email from the git hooks/post-receive script.

pertusus pushed a commit to branch master
in repository texinfo.

The following commit(s) were added to refs/heads/master by this push:
     new ac0f65f036 * tp/tests/run_parser_all.sh: reindent a function.
ac0f65f036 is described below

commit ac0f65f036af0fd9a8aef4608dfbf4280743d659
Author: Patrice Dumas <pertusus@free.fr>
AuthorDate: Mon Feb 6 22:39:17 2023 +0100

    * tp/tests/run_parser_all.sh: reindent a function.
---
 ChangeLog                  |  8 +++--
 tp/tests/run_parser_all.sh | 86 +++++++++++++++++++++++-----------------------
 2 files changed, 49 insertions(+), 45 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index e58b100b05..fdf2f9d0c0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2023-02-06  Patrice Dumas  <pertusus@free.fr>
+
+       * tp/tests/run_parser_all.sh: reindent a function.
+
 2023-02-06  Patrice Dumas  <pertusus@free.fr>
 
        * tp/Texinfo/XS/parsetexi/end_line.c (skip_comment),
@@ -956,7 +960,7 @@
 
        * tp/Texinfo/ParserNonXS.pm (_end_line_misc_line),
        tp/Texinfo/XS/parsetexi/end_line.c (end_line_misc_line): remove
-       setfilename or include from tre before starting a new preformatted,
+       setfilename or include from tree before starting a new preformatted,
        in preformatted context.
 
        * tp/t/80include.t, tp/Makefile.tres: add test
@@ -1046,7 +1050,7 @@
 
        * tp/Makefile.am (test_files), tp/Makefile.tres, tp/t/html_tests.t:
        add filenameconflictwithspecialelement demonstrating conflict of
-       redirection file with special element, wwhich needs customizing the
+       redirection file with special element, which needs customizing the
        special element file_string.
 
 2023-01-11  Patrice Dumas  <pertusus@free.fr>
diff --git a/tp/tests/run_parser_all.sh b/tp/tests/run_parser_all.sh
index 511a250d38..01d0964772 100755
--- a/tp/tests/run_parser_all.sh
+++ b/tp/tests/run_parser_all.sh
@@ -49,55 +49,55 @@ check_unicode_collate_ok ()
 
 check_latex2html_and_tex4ht ()
 {
-    use_latex2html=no
-    use_tex4ht=no
-    l2h_flags=
-    maybe_use_latex2html=no
-    if echo "$remaining" | grep '[-]l2h' >/dev/null; then
-      maybe_use_latex2html=yes
+  use_latex2html=no
+  use_tex4ht=no
+  l2h_flags=
+  maybe_use_latex2html=no
+  if echo "$remaining" | grep '[-]l2h' >/dev/null; then
+    maybe_use_latex2html=yes
+  fi
+  if echo "$remaining" | grep 'HTML_MATH l2h' >/dev/null; then
+    maybe_use_latex2html=yes
+  fi
+  if [ $maybe_use_latex2html = 'yes' ]; then
+    if [ "$no_latex2html" = 'yes' ]; then
+      echo "S: (no latex2html) $current"
+      return 1
+    fi
+    use_latex2html=yes
+    if test z"$tmp_dir" = 'z'; then
+       tmp_dir=`mktemp -d l2h_t2h_XXXXXXXX`
+       if test z"$tmp_dir" = 'z'; then
+         echo "$0: mktemp failed" 1>&2
+         exit 1
+       fi
     fi
-    if echo "$remaining" | grep 'HTML_MATH l2h' >/dev/null; then
-      maybe_use_latex2html=yes
+    l2h_flags="-c L2H_CLEAN=0 -c 'L2H_TMP $tmp_dir' -c 
L2H_FILE=$srcdir/../t/init/l2h.init"
+  else
+    maybe_use_tex4ht=no
+    if echo "$remaining" | grep '[-]init tex4ht.pm' >/dev/null; then
+      maybe_use_tex4ht=yes
+    fi
+    if echo "$remaining" | grep 'HTML_MATH t4h' >/dev/null; then
+      maybe_use_tex4ht=yes
     fi
-    if [ $maybe_use_latex2html = 'yes' ]; then
-      if [ "$no_latex2html" = 'yes' ]; then
-        echo "S: (no latex2html) $current"
+    if [ $maybe_use_tex4ht = 'yes' ]; then
+      if test "$no_tex4ht" = 'yes' ; then
+        echo "S: (no tex4ht) $current"
         return 1
       fi
-      use_latex2html=yes
-      if test z"$tmp_dir" = 'z'; then
-         tmp_dir=`mktemp -d l2h_t2h_XXXXXXXX`
-         if test z"$tmp_dir" = 'z'; then
-           echo "$0: mktemp failed" 1>&2
-           exit 1
-         fi
-      fi
-      l2h_flags="-c L2H_CLEAN=0 -c 'L2H_TMP $tmp_dir' -c 
L2H_FILE=$srcdir/../t/init/l2h.init"
-    else
-      maybe_use_tex4ht=no
-      if echo "$remaining" | grep '[-]init tex4ht.pm' >/dev/null; then
-        maybe_use_tex4ht=yes
-      fi
-      if echo "$remaining" | grep 'HTML_MATH t4h' >/dev/null; then
-        maybe_use_tex4ht=yes
-      fi
-      if [ $maybe_use_tex4ht = 'yes' ]; then
-        if test "$no_tex4ht" = 'yes' ; then
-          echo "S: (no tex4ht) $current"
-          return 1
-        fi
-        use_tex4ht=yes
-      fi
+      use_tex4ht=yes
     fi
-    if test $use_tex4ht = 'yes' || test $use_latex2html = 'yes' ; then
-      if echo "$remaining" | grep '[-]init mediawiki.pm' >/dev/null; then
-       if test "$no_html2wiki" = 'yes' ; then
-         echo "S: (no html2wiki) $current"
-         return 1
-       fi
-      fi
+  fi
+  if test $use_tex4ht = 'yes' || test $use_latex2html = 'yes' ; then
+    if echo "$remaining" | grep '[-]init mediawiki.pm' >/dev/null; then
+     if test "$no_html2wiki" = 'yes' ; then
+       echo "S: (no html2wiki) $current"
+       return 1
+     fi
     fi
-    return 0
+  fi
+  return 0
 }
 
 # process the output so we can get consistent output for the comparisons



reply via email to

[Prev in Thread] Current Thread [Next in Thread]